Package es.imim.DISGENET.internal.automation.parameters

# Class VariantDiseaseParams

java.lang.Object
es.imim.DISGENET.internal.automation.parameters.VariantDiseaseParams

All Implemented Interfaces:
  `AutomationParams`

public class VariantDiseaseParams extends Object implements AutomationParams

## Constructor Summary

Constructors
Constructor
Description
`VariantDiseaseParams()`
`VariantDiseaseParams(String source, String diseaseClass, String diseaseSearch, String geneSearch, String variantSearch, String initialScoreValue, String finalScoreValue, boolean showGenes)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDiseaseClass()`
`String`
`getDiseaseSearch()`
`String`
`getFinalScoreValue()`
`String`
`getGeneSearch()`
`String`
`getInitialScoreValue()`
`String`
`getSource()`
`String`
`getVariantSearch()`
`boolean`
`isShowGenes()`
`void`
`setDiseaseClass(String diseaseClass)`
`void`
`setDiseaseSearch(String diseaseSearch)`
`void`
`setFinalScoreValue(String highScore)`
`void`
`setGeneSearch(String geneSearch)`
`void`
`setInitialScoreValue(String lowScore)`
`void`
`setShowGenes(boolean showGenes)`
`void`
`setSource(String source)`
`void`
`setVariantSearch(String variantSearch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariantDiseaseParams

public VariantDiseaseParams()

### VariantDiseaseParams

public VariantDiseaseParams(String source, String diseaseClass, String diseaseSearch, String geneSearch, String variantSearch, String initialScoreValue, String finalScoreValue, boolean showGenes)

## Method Details

### getSource

public String getSource()

### setSource

public void setSource(String source)

### getDiseaseClass

public String getDiseaseClass()

### setDiseaseClass

public void setDiseaseClass(String diseaseClass)

### getDiseaseSearch

public String getDiseaseSearch()

### setDiseaseSearch

public void setDiseaseSearch(String diseaseSearch)

### getGeneSearch

public String getGeneSearch()

### setGeneSearch

public void setGeneSearch(String geneSearch)

### getVariantSearch

public String getVariantSearch()

### setVariantSearch

public void setVariantSearch(String variantSearch)

### getInitialScoreValue

public String getInitialScoreValue()

### setInitialScoreValue

public void setInitialScoreValue(String lowScore)

### getFinalScoreValue

public String getFinalScoreValue()

### setFinalScoreValue

public void setFinalScoreValue(String highScore)

### isShowGenes

public boolean isShowGenes()

### setShowGenes

public void setShowGenes(boolean showGenes)